import * as $dara from '@darabonba/typescript';
import { ListInstanceCatalogResponseBody } from "./ListInstanceCatalogResponseBody";
export declare class ListInstanceCatalogResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListInstanceCatalogResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
